Bug 114991 - Add JoinExistingSession to the Networking XPC
Summary: Add JoinExistingSession to the Networking XPC
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: Mac All
: P2 Normal
Assignee: Brady Eidson
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2013-04-22 14:06 PDT by Brady Eidson
Modified: 2013-05-07 12:11 PDT (History)
2 users (show)

See Also:


Attachments
Patch v1 (1.93 KB, patch)
2013-04-22 14:08 PDT, Brady Eidson
sam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brady Eidson 2013-04-22 14:06:26 PDT
Add JoinExistingSession to the Networking XPC

Fixes client certs and maybe other things.

<rdar://problem/12902288>
Comment 1 Brady Eidson 2013-04-22 14:08:22 PDT
Created attachment 199109 [details]
Patch v1
Comment 2 Brady Eidson 2013-04-23 13:35:28 PDT
http://trac.webkit.org/changeset/148756
Comment 3 Brady Eidson 2013-05-07 12:05:22 PDT
http://trac.webkit.org/changeset/148756 refers to the WebContent Info.plist.

This patch apparently never got landed.
Comment 4 Brady Eidson 2013-05-07 12:11:21 PDT
Actually fixed in http://trac.webkit.org/changeset/149687